.menu-wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1; }
  .menu-wrap .toggle-btn {
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    width: 50px;
    height: 50px;
    opacity: 0;
    cursor: pointer; }
  .menu-wrap .menuoverlay {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 60px;
    padding: 1rem;
    background: rgba(13, 110, 139, 0.9);
    display: flex;
    align-items: center;
    justify-content: center; }
    .menu-wrap .menuoverlay > div {
      position: relative;
      z-index: 1;
      flex: none;
      width: 100%;
      height: 2px;
      background: #fff;
      display: flex;
      align-items: center;
      justify-content: center;
      transition: all 0.4s ease-in-out; }
      .menu-wrap .menuoverlay > div:before, .menu-wrap .menuoverlay > div:after {
        content: "";
        position: absolute;
        z-index: 1;
        width: 100%;
        height: 2px;
        background: inherit; }
      .menu-wrap .menuoverlay > div:before {
        top: -10px; }
      .menu-wrap .menuoverlay > div:after {
        top: 10px; }
  .menu-wrap .toggle-btn:checked + .menuoverlay > div {
    transform: rotate(135deg); }
    .menu-wrap .toggle-btn:checked + .menuoverlay > div:before, .menu-wrap .toggle-btn:checked + .menuoverlay > div:after {
      top: 0;
      transform: rotate(90deg); }
  .menu-wrap .toggle-btn:checked:hover + .menuoverlay > div {
    transform: rotate(225deg); }

.menu-wrap .menu-content {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center; }
  .menu-wrap .menu-content > div {
    background-color: rgba(24, 39, 51, 0.95);
    width: 200vw;
    height: 200vh;
    display: flex;
    flex: none;
    align-items: center;
    justify-content: center;
    transform: scale(0);
    transition: all 0.4s ease;
    border-radius: 50%; }
    .menu-wrap .menu-content > div > div {
      text-align: center;
      max-width: 90vw;
      max-height: 100vh;
      opacity: 0;
      transition: opacity 0.4s ease; }
      .menu-wrap .menu-content > div > div > ul > li {
        list-style-type: none;
        color: #fff;
        font-size: 1.5rem;
        padding: 1.5rem; }
        .menu-wrap .menu-content > div > div > ul > li a {
          color: #fff;
          text-decoration: none;
          transition: color 0.4s ease; }
          .menu-wrap .menu-content > div > div > ul > li a:hover {
            color: rgba(229, 148, 0, 0.9); }

.menu-wrap .toggle-btn:checked ~ .menu-content {
  visibility: visible; }
  .menu-wrap .toggle-btn:checked ~ .menu-content > div {
    transform: scale(1);
    transition-duration: 0.75s; }
    .menu-wrap .toggle-btn:checked ~ .menu-content > div > div {
      opacity: 1;
      transition: opacity 0.4s ease 0.4s; }
